﻿using System;

namespace TestProject
{
    /// <summary>
    /// 설명 어트리뷰트
    /// </summary>
    public class DescriptionAttribute : Attribute, IAttribute<string>
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 설명
        /// </summary>
        private readonly string description;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 값 - Value

        /// <summary>
        /// 값
        /// </summary>
        public string Value
        {
            get
            {
                return this.description;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - DescriptionAttribute(description)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="description">설명</param>
        public DescriptionAttribute(string description)
        {
            this.description = description;
        }

        #endregion
    }
}