﻿namespace TestProject
{
    /// <summary>
    /// 데이터 헬퍼
    /// </summary>
    public class DataHelper
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 축구 컬렉션 구하기 - GetFootballCollection()

        /// <summary>
        /// 축구 컬렉션 구하기
        /// </summary>
        /// <returns>축구 컬렉션</returns>
        public static FootballCollection GetFootballCollection()
        {
            FootballCollection collection = new FootballCollection
            {
                new Football
                {
                    League      = League.PremierLeague, 
                    Team        = "Manchester United", 
                    PlayerCount = 9, 
                    PlayerName  = "Cristiano Ronaldo"
                },
                new Football
                {
                    League      = League.PremierLeague, 
                    Team        = "Manchester United", 
                    PlayerCount = 18, 
                    PlayerName  = "Mikael Silvestre"
                },
                new Football
                {
                    League      = League.PremierLeague, 
                    Team        = "Arsenal", 
                    PlayerCount = 18, 
                    PlayerName  = "Mikael Silvestre"
                },
                new Football
                {
                    League      = League.LaLiga, 
                    Team        = "Real Madrid", 
                    PlayerCount = 9, 
                    PlayerName  = "Cristiano Ronaldo"
                },
                new Football
                {
                    League      = League.LaLiga, 
                    Team        = "Real Madrid", 
                    PlayerCount = 20, 
                    PlayerName  = "Gonzalo Higuain"
                },
                new Football
                {
                    League      = League.LaLiga, 
                    Team        = "Racing", 
                    PlayerCount = 24, 
                    PlayerName  = "Luis Garcia"
                },
                new Football
                {
                    League      = League.PrimeraDivision, 
                    Team        = "Arsenal", 
                    PlayerCount = 6, 
                    PlayerName  = "Anibal Matellan"
                },
                new Football
                {
                    League      = League.PrimeraDivision, 
                    Team        = "Racing", 
                    PlayerCount = 16, 
                    PlayerName  = "Pablo Caballero"
                },
                new Football
                {
                    League      = League.PrimeraDivision, 
                    Team        = "River Plate", 
                    PlayerCount = 20, 
                    PlayerName  = "Gonzalo Higuain"
                },
            };

            return collection;
        }

        #endregion
    }
}