﻿namespace TestProject
{
    /// <summary>
    /// 축구
    /// </summary>
    public class Football
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 리그 - League

        /// <summary>
        /// 리그
        /// </summary>
        [PriorityLevel(1)]
        public League League { get; set; }

        #endregion
        #region 팀 - Team

        /// <summary>
        /// 팀
        /// </summary>
        [PriorityLevel(2)]
        public string Team { get; set; }

        #endregion
        #region 선수 수 - PlayerCount

        /// <summary>
        /// 선수 수
        /// </summary>
        public int PlayerCount { get; set; }

        #endregion
        #region 선수명 - PlayerName

        /// <summary>
        /// 선수명
        /// </summary>
        public string PlayerName { get; set; }

        #endregion
        #region 선수 - Player

        /// <summary>
        /// 선수
        /// </summary>
        [PriorityLevel(3)]
        public string Player
        {
            get
            {
                return string.Format("{0} - {1}", PlayerCount, PlayerName);
            }
        }

        #endregion
    }
}